@charset "UTF-8";

:root {
    --bg-color: black;
    --text-color: green;
    --font-family: "Helvetica Neue", Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
}

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    line-height: 1;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
}

html {
    width: 100%;
    height: 100%;
    font-size: 16px;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

body {
    width: 100%;
    height: 100%;
    font-family: var(--font-family);
    font-size: 1rem;
    overflow: hidden;
    color: var(--text-color);
    background-color: var(--bg-color);
    -ms-overflow-style: none;
    scrollbar-width: none;
}

html::-webkit-scrollbar,
body::-webkit-scrollbar {
    display: none;
}

ul {
    list-style-type: none;
}

header {
    display: flex;
    align-items: center;
    gap: 1rem;
    height: 50px;
    border-bottom: 1px solid var(--text-color);
    padding: 0 1rem;
}

header nav {
    flex: 1;
    display: flex;
    gap: 5px;
}

header nav ul {
    display: flex;
    gap: 5px;
}

header nav ul li {
    font-size: 0.9rem;
    padding: 4px;
}

header nav ul li.active {
    color: var(--bg-color);
    background-color: var(--text-color);
}

header h1,
header #title {
    font-size: 1.5rem;
    font-weight: bold;
}

main {
    display: flex;
    height: calc(100% - 50px);
}

main nav {
    flex: 0 0 250px;
    word-break: break-all;
    height: 100%;
    border-right: 1px solid var(--text-color);
    padding: 1rem;
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow-y: auto;
}

main nav ul li {
    padding: 4px;
}

main nav ul li.active {
    color: var(--bg-color);
    background-color: var(--text-color);
}

main nav ul li a {
    font-size: 0.9rem;
    line-height: 1.2;
}

main article {
    flex: 1;
    height: 100%;
    padding: 1rem;
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow-y: scroll;
}

main article h1,
main article h2 {
    line-height: 1.2;
}

main article h1 {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

main article h2 {
    font-size: 1.1rem;
    font-weight: bold;
    margin-bottom: 1rem;
}

main article h1::before,
main article h2::before {
    font-size: 1em;
    font-weight: bold;
    margin-right: 0.5em;
}

main article h1::before {
    content: "#";
}

main article h2::before {
    content: "##";
}

main article p {
    line-height: 1.5;
    margin-bottom: 1rem;
}

main article a {
    text-decoration: underline;
}

@media (max-width: 768px) {
    html {
        font-size: 18px;
    }

    body {
        overflow-y: auto;
    }

    main {
        height: auto;
        flex-direction: column;
    }

    main nav {
        flex: none;
        order: 2;
        border-right: none;
        border-top: 1px solid var(--text-color);
    }

    main article {
        order: 1;
    }
}
